package cn.com.ctop.crawler.modules.appium.service;

import cn.com.ctop.crawler.modules.appium.entity.AppiumJob;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 爬虫调度任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-14
 */
public interface IAppiumJobService extends IService<AppiumJob> {

    void runTask(Long jobId, Long num);

    String loginTask(Long taskId);

    boolean bindCreative(String account, String password, String creativeName, String ksId);

    Map<String, Object> startTask(String account, String password, String creativeName, Integer num);

    boolean refreshWebPhone();
}
